extends Node2D


@onready var anims := $AnimatedSprite2D
@onready var label := $Label


var cloud_text := "Their solar-panels covered in dust, satellites start\nlosing power, and a race against time begins"
var sat_text := "The governments of the world unite to avoid total\ncommunication failure. Thus was created... Bubble Command!"

### 	 ACCESSORS 	 ###






### 	 BUILT-IN 	 ###

func _ready() -> void:
	AUDIO.play_music("game")
	anims.play("volcano")


func _input(event: InputEvent) -> void:
	if event is InputEventMouseButton and event.button_index == MOUSE_BUTTON_LEFT and event.is_pressed():
		if anims.animation == "volcano":
			anims.play("cloud")
			label.text = cloud_text
		elif anims.animation == "cloud":
			anims.play("satellite")
			label.text = sat_text
		elif anims.animation == "satellite":
			get_tree().change_scene_to_file("res://scenes/level.tscn")



### 	 VIRTUAL 	 ###





### 	 LOGIC 	 ###




### 	 SIGNAL-RESPONSE 	 ###
